<bugID>507903<Summary>Process fails to end on Firefox exit - causes numerous problems including with private data</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.1.1) Gecko/20090715 Firefox/3.5.1 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.1.1) Gecko/20090715 Firefox/3.5.1 (.NET CLR 3.5.30729)

Firefox 3.5's process will not end when I exit Firefox. This occurs under normal operation, plus the following additonal tests:

- Disabling all addons/plugins.
- The above plus closing all System Tray tools (including antivirus and firewall).
- Closing all other non-critical processes in the Task Manager's Process list (i.e. closing anything in there that won't cause the computer to crash if it's ended).

This occurs on new profiles, after a restart, and after clearing all private data. It is also causing private data (cookies, cache) to be unavailable for loading into the new session, and, at an extreme, can cause Firefox to slow the PC down.

Reproducible: Always

Steps to Reproduce:
1. Open firefox.
2. Browse (not necessarily - I've experienced this just opening and closing the program).
3. Close firefox.
4. Check Task Manager. Firefox will still be listed under Processes.
Actual Results:  
Firefox process still in memory.

Expected Results:  
Firefox process is ended.

Default theme, happens even with all other programs closed and all addons and plugins disabled.</Description></bugID>